<?php
$aStatuses = $oOrder->throwStatus( );
if( empty( $sDateFrom ) || ( !empty( $sDateFrom ) && !is_date( $sDateFrom ) ) ) $sDateFrom = '2010-12-01';
if( empty( $sDateTo ) || ( !empty( $sDateTo ) && !is_date( $sDateTo ) ) ) $sDateTo = date( 'Y-m-d' );
if( !isset( $iStatus1 ) ) $iStatus1 = 1;
if( !isset( $iStatus2 ) ) $iStatus2 = count( $aStatuses );
$aStatsInfo = Array( 'sDateFrom' => $sDateFrom, 'sDateTo' => $sDateTo, 'iStatus1' => $iStatus1, 'iStatus2' => $iStatus2 );
if( !isset( $aActions['o1'] ) ) $aActions['o1'] = null;
require_once DIR_ENGINE . 'stats-admin.php';
if( $a == 'orders' ){ //Są tylko statystyki zamówień, do pozostałych użyj GoogleAnalytics
	if( $aActions['o1'] == 'customers' ){
		$aStatsInfo = array_merge( $aStatsInfo, throwCustomersStats( $sDateFrom, $sDateTo, $iStatus1, $iStatus2 ) );
		$oTpl->assign( 'aStatsInfo', $aStatsInfo );
		if( !isset( $aActions['o2'] ) ){
			$content.= $oTpl->parse( 'stats_customers.tpl' );
		}
	}
}
?>